Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.utils
Class AnnotationUtils

    java.lang.Object
      org.mule.utils.AnnotationUtils

    public class AnnotationUtils

extends Object

A helper class for reading annotations.

Constructor Summary
`AnnotationUtils()`

Method Summary
`static List<AnnotationMetaData>` | `getAllFieldAnnotations(Class c)`
`static List<AnnotationMetaData>` | `getAllMethodAnnotations(Class c)`
`static List<AnnotationMetaData>` | `getClassAndMethodAnnotations(Class c)`
`protected static void` | `getClassAnnotationForInterfaces(Class bottom, List<AnnotationMetaData> annos)`
`protected static AnnotationMetaData` | `getClassAnnotationForSuperClasses(Class<? extends Annotation> annotation, Class bottom)`
`protected static void` | `getClassAnnotationForSuperClasses(Class bottom, List<AnnotationMetaData> annos)`
`static List<AnnotationMetaData>` | `getClassAnnotationInHeirarchy(Class bottom)`
`static AnnotationMetaData` | `getClassAnnotationInHeirarchy(Class<? extends Annotation> annotation, Class bottom)`
`static List<AnnotationMetaData>` | `getFieldAnnotations(Class c, Class<? extends Annotation> annotation)`
`static Set<AnnotationMetaData>` | `getFieldAnnotationsForHeirarchy(Class bottom)`
`static Set<AnnotationMetaData>` | `getFieldAnnotationsForHeirarchy(Class bottom, Class<? extends Annotation> annotation)`
`static void` | `getFieldAnnotationsForInterfaces(Class clazz, Set<AnnotationMetaData> annos)`
`static void` | `getFieldAnnotationsForInterfaces(Class clazz, Set<AnnotationMetaData> annos, Class<? extends Annotation> annotation)`
`protected static void` | `getFieldAnnotationsForSuperClasses(Class bottom, Set<AnnotationMetaData> annos)`
`protected static void` | `getFieldAnnotationsForSuperClasses(Class bottom, Set<AnnotationMetaData> annos, Class<? extends Annotation> annotation)`
`static List<AnnotationMetaData>` | `getMethodAnnotations(Class c, Class<? extends Annotation> ann)`
`static List<AnnotationMetaData>` | `getMethodMetaAnnotations(Class c, Class<? extends Annotation> metaAnn)`
`static List<AnnotationMetaData>` | `getParamAnnotations(Method method)`
`static ExpressionTransformer` | `getTransformerForMethodWithAnnotations(Method method, MuleContext context)`
`static boolean` | `hasAnnotation(Class<? super Annotation> annotation, Class clazz)`
`static boolean` | `hasAnnotationWithPackage(String packageName, Class clazz)`
`static boolean` | `methodHasParamAnnotations(Method method)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationUtils

    public AnnotationUtils()

Method Detail

### methodHasParamAnnotations

    public static boolean methodHasParamAnnotations(Method method)

### getParamAnnotations

    public static List<AnnotationMetaData> getParamAnnotations(Method method)

### getTransformerForMethodWithAnnotations

    public static ExpressionTransformer getTransformerForMethodWithAnnotations(Method method,
                                                                               MuleContext context)
                                                                        throws TransformerException,
                                                                               InitialisationException

  Throws:
    `TransformerException`
    `InitialisationException`

### getClassAndMethodAnnotations

    public static List<AnnotationMetaData> getClassAndMethodAnnotations(Class c)

### getAllMethodAnnotations

    public static List<AnnotationMetaData> getAllMethodAnnotations(Class c)

### getMethodAnnotations

    public static List<AnnotationMetaData> getMethodAnnotations(Class c,
                                                                Class<? extends Annotation> ann)

### getMethodMetaAnnotations

    public static List<AnnotationMetaData> getMethodMetaAnnotations(Class c,
                                                                    Class<? extends Annotation> metaAnn)

### getAllFieldAnnotations

    public static List<AnnotationMetaData> getAllFieldAnnotations(Class c)

### getFieldAnnotations

    public static List<AnnotationMetaData> getFieldAnnotations(Class c,
                                                               Class<? extends Annotation> annotation)

### getClassAnnotationInHeirarchy

    public static AnnotationMetaData getClassAnnotationInHeirarchy(Class<? extends Annotation> annotation,
                                                                   Class bottom)

### getClassAnnotationInHeirarchy

    public static List<AnnotationMetaData> getClassAnnotationInHeirarchy(Class bottom)

### getClassAnnotationForSuperClasses

    protected static AnnotationMetaData getClassAnnotationForSuperClasses(Class<? extends Annotation> annotation,
                                                                          Class bottom)

### getClassAnnotationForSuperClasses

    protected static void getClassAnnotationForSuperClasses(Class bottom,
                                                            List<AnnotationMetaData> annos)

### getClassAnnotationForInterfaces

    protected static void getClassAnnotationForInterfaces(Class bottom,
                                                          List<AnnotationMetaData> annos)

### getFieldAnnotationsForHeirarchy

    public static Set<AnnotationMetaData> getFieldAnnotationsForHeirarchy(Class bottom)

### getFieldAnnotationsForInterfaces

    public static void getFieldAnnotationsForInterfaces(Class clazz,
                                                        Set<AnnotationMetaData> annos)

### getFieldAnnotationsForSuperClasses

    protected static void getFieldAnnotationsForSuperClasses(Class bottom,
                                                             Set<AnnotationMetaData> annos)

### getFieldAnnotationsForHeirarchy

    public static Set<AnnotationMetaData> getFieldAnnotationsForHeirarchy(Class bottom,
                                                                          Class<? extends Annotation> annotation)

### getFieldAnnotationsForInterfaces

    public static void getFieldAnnotationsForInterfaces(Class clazz,
                                                        Set<AnnotationMetaData> annos,
                                                        Class<? extends Annotation> annotation)

### getFieldAnnotationsForSuperClasses

    protected static void getFieldAnnotationsForSuperClasses(Class bottom,
                                                             Set<AnnotationMetaData> annos,
                                                             Class<? extends Annotation> annotation)

### hasAnnotation

    public static boolean hasAnnotation(Class<? super Annotation> annotation,
                                        Class clazz)
                                 throws IOException

  Throws:
    `IOException`

### hasAnnotationWithPackage

    public static boolean hasAnnotationWithPackage(String packageName,
                                                   Class clazz)
                                            throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.